View Issue Details

IDProjectCategoryView StatusLast Update
0005030Talerdeployment and operationspublic2017-10-18 15:42
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.4Fixed in Version0.4 
Summary0005030: Set a buildbot worker up to compile documentation
DescriptionThe worker should check out and compile any part of Taler documentation.
The compiled code will then be the content of the new documentation portal
https://docs.taler.net/.

The parts to be included are:

* api (api.git)
* deployment (api.git)
* tutorials (merchant-frontend-tutorials.git)
* operator manuals (exchange.git, merchant.git)
TagsNo tags attached.

Activities

Marcello Stanisci

2017-06-09 16:04

manager   ~0012241

Started @ a9dbcf7, has PATH issues at the moment. NOTE: add instructions to onboarding documentation.

Marcello Stanisci

2017-06-09 18:44

manager   ~0012242

Solved as of e25663b, but generated files don't have read permission for group, so they make 403 Forbidden to be returned. However, this doesn't happen if update_docs.sh is invoked manually.

Marcello Stanisci

2017-06-10 10:48

manager   ~0012244

Solved. Buildbot give a default umask of 077, so the --umask=022 must be used when creating the worker.

Marcello Stanisci

2017-06-10 11:12

manager   ~0012245

Temporarily triggering the build every 5 minutes, With 0005075, we can find a energy-friendlier way of triggering it.

Issue History

Date Modified Username Field Change
2017-05-24 14:37 Marcello Stanisci New Issue
2017-05-28 22:52 Christian Grothoff Assigned To => Marcello Stanisci
2017-05-28 22:52 Christian Grothoff Severity minor => feature
2017-05-28 22:52 Christian Grothoff Status new => assigned
2017-05-28 22:52 Christian Grothoff Product Version => SVN HEAD
2017-05-28 22:52 Christian Grothoff Description Updated View Revisions
2017-06-09 16:04 Marcello Stanisci Note Added: 0012241
2017-06-09 18:44 Marcello Stanisci Note Added: 0012242
2017-06-10 10:48 Marcello Stanisci Note Added: 0012244
2017-06-10 11:12 Marcello Stanisci Status assigned => resolved
2017-06-10 11:12 Marcello Stanisci Resolution open => fixed
2017-06-10 11:12 Marcello Stanisci Note Added: 0012245
2017-06-10 19:03 Christian Grothoff Fixed in Version => 0.4
2017-06-10 19:03 Christian Grothoff Target Version => 0.4
2017-10-18 15:42 Christian Grothoff Status resolved => closed